Name:		reaver
Version:	1.6.6
Release:	%mkrel 2
Summary:	Brute force attack against Wifi Protected Setup
License:	GPLv2+
Group:		Networking/Other
URL:		https://github.com/t6x/reaver-wps-fork-t6x
Source:		https://github.com/t6x/reaver-wps-fork-t6x/releases/download/v%{version}/%{name}-%{version}.tar.xz
Patch0:		reaver-lwe-unbundle.patch
BuildRequires:	libiw-devel
BuildRequires:	libpcap-devel
BuildRequires:	pkgconfig(sqlite3)

%description
Reaver implements a brute force attack against Wifi Protected Setup (WPS)
registrar PINs in order to recover WPA/WPA2 passphrases, as described in
http://sviehb.files.wordpress.com/2011/12/viehboeck_wps.pdf.

Reaver has been designed to be a robust and practical attack against WPS, and
has been tested against a wide variety of access points and WPS
implementations.

On average Reaver will recover the target AP's plain text WPA/WPA2 passphrase
in 4-10 hours, depending on the AP. In practice, it will generally take half
this time to guess the correct WPS pin and recover the passphrase.

%prep
%autosetup -p1

# Unbundle wireless-tools
rm -rf src/lwe

%build
cd src
%configure
%make_build

%install
%make_install -C src

mkdir -p %{buildroot}%{_mandir}/man1
install -pm0644 docs/reaver.1 %{buildroot}%{_mandir}/man1/
touch %{buildroot}%{_localstatedir}/lib/reaver/reaver.db

%files
%doc docs/README docs/README.REAVER docs/README.WASH
%license docs/LICENSE
%{_bindir}/reaver
%{_bindir}/wash
%ghost %{_localstatedir}/lib/reaver/reaver.db
%{_mandir}/man1/*.1*


%changelog
* Tue Mar 29 2022 umeabot <umeabot> 1.6.6-2.mga9
+ Revision: 1831187
- Mageia 9 Mass Rebuild

* Wed Mar 03 2021 daviddavid <daviddavid> 1.6.6-1.mga9
+ Revision: 1696942
- new version: 1.6.6

* Fri Feb 14 2020 umeabot <umeabot> 1.6.5-3.mga8
+ Revision: 1516457
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.6.5-2.mga7
+ Revision: 1300797
- Mageia 7 Mass Rebuild

* Thu May 24 2018 daviddavid <daviddavid> 1.6.5-1.mga7
+ Revision: 1231982
- new version: 1.6.5
- use system wireless-tools
- update URL and Source URL
+ kekepower <kekepower>
- Use make_build

* Mon Feb 08 2016 umeabot <umeabot> 1.4-5.mga6
+ Revision: 946554
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.4-4.mga5
+ Revision: 741921
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.4-3.mga5
+ Revision: 688631
- Mageia 5 Mass Rebuild

* Tue Aug 12 2014 juancho <juancho> 1.4-2.mga5
+ Revision: 661908
+ rebuild (emptylog)

* Tue Aug 12 2014 juancho <juancho> 1.4-1.mga5
+ Revision: 661903
- Added sqlite3-devel BR
- Updated to version 1.4
- Cleaned up spec, added BR libpcap-devel
+ guillomovitch <guillomovitch>
- imported package reaver


* Fri Dec 30 2011 Guillaume Rousse <guillomovitch@mandriva.org> 1.1-1.mga2
- first mageia package
